# SBC-progress-tracking
## Purpose of this repo
I need a place to track the status and progress of the project to purchase, test, and support Single Board Computers for SIG/AltArch and Testing teams. This is the start of it.

# The SBC's
This list is per the poll vote of the Rocky Community. There are two additions that have been added because of rising interest after the poll. They are noted as such.

The Raspberry Pi 4's and 3's are supported by SIG/AltArch now. However, it would be good to ensure we meet the same requirements that we are placing on the other SBC's still knowing that RPi's are hard to get.

[Raspberry Pi 32bit (armhfp/armv7)](https://www.raspberrypi.com/documentation/computers/processors.html)  
[VisionFive 2 (RISC-V)](https://www.kickstarter.com/projects/starfive/visionfive-2)  
[ROCKPro64 (ARM64)](https://www.pine64.org/rockpro64/)  
[Pine A64-LTS (ARM64)](https://pine64.com/product/pine-a64-lts/)  
[ODROID-N2+ (ARM64)](https://ameridroid.com/products/odroid-n2-plus)  
[Radxa ROCK 5 Model B (ARM64)](https://ameridroid.com/products/rock5-model-b)  
Add-on [Nvidia Jetson Nano (ARM64)](https://www.nvidia.com/en-us/autonomous-machines/embedded-systems/jetson-nano/education-projects/)  
Add-on [Libre.computer AML-S905X-CC (Le Potato) (ARM64)](https://libre.computer/products/aml-s905x-cc/)  

# Proposed plan of action (summary)

The granted proposal allows for $20,000 (US) for purchase and support of SBC's at an estimated rate of twenty purchases for six SBC devices. This is subject to change depending on the difficulty of adding support to the devices. Also, those requiring alternative unsupported architectures (32 bit ARM and RISC-V) are still in evaluation state.

The focus will be to get those insterested in being "Developers" in SIG/AltArch access to the SBC's then get those interested in being "Testers" in the Testing Team access. Finally, those interested in participating within the Rocky community assisting others with questions and problems will be given access to remaining SBC's (eg: "Community Engagement").

Those who are Rocky Members, or are being mentored with the goal of Rocky Membership, will be given priority access over those in the wider Rocky community. Exact details on how this will be done is still to be determined.

This document is to help Stack track which SBC and who is willing to perform one of the three roles:

Developers: Assist in building packages, images, and anything else needed.  
Testers: Are available on release weeks to ensure images are functional and the SBC device is fully functional.  
Community Engagement: Are willing to answer questions and assist in troubleshooting the questions from the larger general Rocky community.  

# Raspberry Pi
https://www.raspberrypi.com/documentation/computers/processors.html   
https://www.raspberrypi.com/products/   

## 64bit (RPi3 and RPi4)
Status: Supported by SIG/AltArch

|Developers|Testers|Community Engagement|
|---|---|---|
| |@Stack (already owns RPI4) | |

## 32bit (Most RPi2's, RPI 0's, and older)
Status: Being evaluated.

|Developers|Testers|Community Engagement|
|---|---|---|
| | @Stack (already owns RPI2, RPI0)| |

# StarFive
## VisionFive2

VisionFive2 information: https://www.kickstarter.com/projects/starfive/visionfive-2   
VisionFive2 Github: https://github.com/starfive-tech/VisionFive2   
VisionFive2 official vendor list: https://forum.rvspace.org/t/how-to-purchase-visionfive-2/665   
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| |@Stack (already owns VisionFive2)| |

# Pine64
## ROCKPro 64

https://pine64.com/product/pine-a64-lts/  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| | | |

## A64_LTS

https://pine64.com/product/pine-a64-lts/  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| | | |

# Ameridroid
## ODROID-N2+

https://ameridroid.com/products/odroid-n2-plus  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| |@Stack (interested) | |

## Radxa ROCK 5 Model B

https://ameridroid.com/products/rock5-model-b  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| |@Stack (interested) | |


# NVidia
## Jetson Nano

https://www.nvidia.com/en-us/autonomous-machines/embedded-systems/jetson-nano/education-projects/  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| |@Stack (interested) | |

# Libre.computer
## AML-S905X-CC (Le Potato)

https://libre.computer/products/aml-s905x-cc/  
Status:

|Developers|Testers|Community Engagement|
|---|---|---|
| | | |